List clique folders
GET
/clique/{clique_id}/folder
const url = 'https://api.colourbox.com/clique/1/folder';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.colourbox.com/clique/1/folder \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Returns list of cliques to folder memberships
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”clique_id
required
integer
Clique ID
Responses
Section titled “Responses”Cliques to folder memberships
Media typeapplication/json
Array<object>
object
folder_id
integer
folder_name
string
clique_id
integer
permissions
object
groups
The clique’s permission flags on the folder: always READ, ADMIN when the clique was
given WRITE access, and WRITE when its members can upload.
Array<string>
Example
[ { "folder_id": 333, "folder_name": "My Folder", "clique_id": 102, "permissions": { "groups": [ "READ", "WRITE" ] } }]